! -*- F90 -*-
 BEGIN_PROVIDER [ integer, nexmx ]
&BEGIN_PROVIDER [ integer, nexmx_double ]
    write(6,*) ' please give a maximum excitation degree '
    read(5,*) nexmx
    if (nexmx.gt.nocc) then
     write(6,*) ' for ',nocc,' doubly occupied orbitals ' &
      ,'we can only excite ',2*nocc,' electrons '
     nexmx=2*nocc
    else
     nexmx_double=2*nexmx
    end if
END_PROVIDER

BEGIN_PROVIDER [ integer, nocc ]
    write(6,*) ' please give the number of doubly occupied orbitals '
    read(5,*) nocc
END_PROVIDER

 BEGIN_PROVIDER [ integer, ileft,  (nexmx_double) ]
&BEGIN_PROVIDER [ integer, iright, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, ispinl, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, ispinr, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, itypel, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, ityper, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, ileft2, (nexmx_double) ]
&BEGIN_PROVIDER [ integer, iright2,(nexmx_double) ]
&BEGIN_PROVIDER [ integer, iholes, (nexmx_double) ]
       ileft   =0
       iright  =0
       ispinl  =0
       ispinr  =0
       itypel  =0
       ityper  =0
       ileft2  =0
       iright2 =0
       iholes  =0
END_PROVIDER

 BEGIN_PROVIDER [character*1, csign, (-1:1) ]
&BEGIN_PROVIDER [ character*8, pname ]
   
        csign(-1)='-'
        csign( 0)=' '
        csign( 1)='+'
        pname='XMATEL  '

END_PROVIDER
  
        logical*1 function lsame(ii1,jj1,kk1,ll1,ii2,jj2,kk2,ll2)
        implicit none
        integer :: ii1,jj1,kk1,ll1,ii2,jj2,kk2,ll2
        lsame=.true.
        if (ii1.ne.ii2) lsame=.false.
        if (jj1.ne.jj2) lsame=.false.
        if (kk1.ne.kk2) lsame=.false.
        if (ll1.ne.ll2) lsame=.false.

        end function lsame
